#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAA,0xEE,0xF2,0xDB,0x3D,0xE5,0xF4,0x91,0xB6,0xFE,0x97,0xF0,
		0x77,0x92,0xC4,0x11,0xDB,0xAA,0x53,0x87,0xC7,0xE1,0x7F,0xC2,
		0x80,0xFD,0xBC,0x43,0xC4,0x14,0x6E,0x45,0xC7,0x06,0x9A,0xF7,
		0x57,0x52,0x4E,0xDB,0x57,0x30,0x95,0x37,0x0B,0x75,0xD4,0xA3,
		0x3A,0xD0,0xFD,0x63,0xCA,0x4F,0x93,0xCF,0x6C,0xC8,0x9C,0x66,
		0x51,0xBD,0x0E,0xEB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
